MimeTypesGrailsPlugin (Grails 6.0.0)

Package: org.grails.plugins.web.mime

## [Groovy] Class MimeTypesGrailsPlugin

- org.grails.plugins.web.mime.MimeTypesGrailsPlugin

-     @java.lang.Deprecated
      class MimeTypesGrailsPlugin
      extends AbstractMimeTypesGrailsPlugin

  Provides content negotiation capabilities to Grails via a new withFormat method on controllers as well as a format property on the HttpServletRequest instance.

  deprecated:
    Use MimeTypesConfiguration instead
  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `dependsOn` |
    `private java.lang.Object` | `observe` |
    `private java.lang.Object` | `version` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `observe`
    `java.lang.Object` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MimeTypesGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMimeTypesGrailsPlugin` | `doWithSpring`
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### private java.lang.Object dependsOn

    - #### private java.lang.Object observe

    - #### private java.lang.Object version

  - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object observe

    - #### java.lang.Object version

  - ### Constructor Detail

    - #### MimeTypesGrailsPlugin()

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()